
From: blaisorblade_spam@yahoo.it

Correct one Kconfig dependency, which should refer to CONFIG_USERMODE
rather than to CONFIG_UM.

We should also figure out how to make the config process work better for
UML.  We would like to make UML able to "source drivers/Kconfig" and have
the right drivers selectable (i.e.  LVM, ramdisk, and so on) and the ones
for actual hardware excluded.  I've been reading such a request even from
Jeff Dike at the last Kernel Summit, (in the lwn.net coverage) but without
any followup.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/Kconfig~uml-refer-to-config_usermode-not-to-config_um drivers/char/Kconfig
--- 25/drivers/char/Kconfig~uml-refer-to-config_usermode-not-to-config_um	2004-09-11 16:44:56.129199992 -0700
+++ 25-akpm/drivers/char/Kconfig	2004-09-11 16:44:56.133199384 -0700
@@ -59,7 +59,7 @@ config VT_CONSOLE
 
 config HW_CONSOLE
 	bool
-	depends on VT && !S390 && !UM
+	depends on VT && !S390 && !USERMODE
 	default y
 
 config SERIAL_NONSTANDARD
_
